[binaries]
c = '/opt/emsdk/upstream/emscripten/emcc'
cpp = '/opt/emsdk/upstream/emscripten/em++'
ar = '/opt/emsdk/upstream/emscripten/emar'
strip = '/opt/emsdk/upstream/emscripten/emstrip'
exe_wrapper = ['/opt/emsdk/node/22.16.0_64bit/bin/node', '-e', 'require(process.argv[1])']

[host_machine]
system = 'emscripten'
cpu_family = 'wasm32'
cpu = 'wasm32'
endian = 'little'

[properties]
needs_exe_wrapper = true

[built-in options]
c_args = ['-sUSE_ZLIB=1']
cpp_args = ['-sUSE_ZLIB=1']
c_link_args = ['-sUSE_ZLIB=1']
cpp_link_args = ['-sUSE_ZLIB=1']
